%define rel 3

Name: cirkuit
Summary: KDE interface for LaTeX graphic tools
Version: 0.4.2
Release: %mkrel %{rel}
URL: http://wwwu.uni-klu.ac.at/magostin/cirkuit.html
Group: Sciences/Physics
License: GPLv2
Source0: http://wwwu.uni-klu.ac.at/magostin/src/%{name}-%{version}.tar.bz2
Patch0:  cirkuit-0.4.2-fix-libversion.patch
BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(poppler-qt4)
Requires: ghostscript

Requires: dpic
Requires: m4
Requires: pdf2svg
# Textlive is required for dvips
Requires: texlive

%description
KDE interface for LaTeX graphic tools (such as TikZ, Gnuplot, Circuit Macros)
to produce publication-ready pictures.

%files -f %{name}.lang
%{_kde_bindir}/cirkuit
%{_kde_libdir}/kde4/cirkuit_circuitmacrosbackend.so
%{_kde_libdir}/kde4/cirkuit_nullbackend.so
%{_kde_datadir}/config.kcfg/circuitmacrosbackend.kcfg
%{_kde_datadir}/config.kcfg/cirkuit.kcfg
%{_kde_datadir}/config/cirkuit_example.knsrc
%{_kde_datadir}/config/cirkuit_template.knsrc
%{_kde_datadir}/mime/packages/cirkuit.xml
%{_kde_applicationsdir}/cirkuit.desktop
%{_kde_services}/cirkuit/circuitmacrosbackend.desktop
%{_kde_services}/cirkuit/nullbackend.desktop
%{_kde_servicetypes}/cirkuit_backend.desktop
%{_kde_appsdir}/cirkuit/
%{_kde_appsdir}/katepart/syntax/m4cm.xml
%{_kde_iconsdir}/hicolor/*/apps/cirkuit.png
%{_kde_iconsdir}/oxygen/scalable/mimetypes/application-x-cirkuit.svgz

#------------------------------------------------------------------------------

%package gnuplot-backend
Summary: Gnuplot backend for %{name}
Requires: %name
%description gnuplot-backend
KDE interface for LaTeX graphic tools (such as TikZ, Gnuplot, Circuit Macros)
to produce publication-ready pictures.

This package provides the gnuplot backend for %{name}.

%files gnuplot-backend
%{_kde_libdir}/kde4/cirkuit_gnuplotbackend.so
%{_kde_appsdir}/katepart/syntax/gnuplot.xml
%{_kde_datadir}/config.kcfg/gnuplotbackend.kcfg
%{_kde_services}/cirkuit/gnuplotbackend.desktop

#------------------------------------------------------------------------------

%package pstricks-backend
Summary: Pstricks backend for %{name}
Requires: %name
%description pstricks-backend
KDE interface for LaTeX graphic tools (such as TikZ, Gnuplot, Circuit Macros)
to produce publication-ready pictures.

This package provides the pstricks backend for %{name}.

%files pstricks-backend
%{_kde_libdir}/kde4/cirkuit_pstricksbackend.so
%{_kde_datadir}/config.kcfg/pstricksbackend.kcfg
%{_kde_services}/cirkuit/pstricksbackend.desktop

#------------------------------------------------------------------------------

%package tikz-backend
Summary: Tikz backend for %{name}
Requires: %name
%description tikz-backend
KDE interface for LaTeX graphic tools (such as TikZ, Gnuplot, Circuit Macros)
to produce publication-ready pictures.

This package provides the tikz backend for %{name}.

%files tikz-backend
%{_kde_libdir}/kde4/cirkuit_tikzbackend.so
%{_kde_datadir}/config.kcfg/tikzbackend.kcfg
%{_kde_services}/cirkuit/tikzbackend.desktop

#------------------------------------------------------------------------------

%define cirkuit_major 1
%define libcirkuit %mklibname cirkuit %{cirkuit_major}

%package -n %libcirkuit
Group:       System/Libraries
Summary:     Runtime library for %{name}
%description -n %libcirkuit
KDE interface for LaTeX graphic tools (such as TikZ, Gnuplot, Circuit Macros)
to produce publication-ready pictures.

This package provides the runtime library for %{name}

%files -n %libcirkuit
%{_kde_libdir}/libcirkuitlibs.so.%{cirkuit_major}*

#------------------------------------------------------------------------------

%define cirkuit_devel %mklibname cirkuit -d

%package -n %{cirkuit_devel}
Group:      System/Libraries
Summary:    Devel package for %name
%description -n %{cirkuit_devel}
KDE interface for LaTeX graphic tools (such as TikZ, Gnuplot, Circuit Macros)
to produce publication-ready pictures.

This package provides the devel library to allow build package against %{name}.

%files -n %{cirkuit_devel}
%{_kde_libdir}/libcirkuitlibs.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.2-3.mga4
+ Revision: 503334
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 347764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 13 2012 fwang <fwang> 0.4.2-1.mga3
+ Revision: 260183
- rebuild for new poppler

* Sun Nov 20 2011 mikala <mikala> 0.4.2-0.mga2
+ Revision: 170123
- Enable requires for dpic
- imported package cirkuit

